GNU bug report logs - #55587
`guix import texlive PKG` fails with signal 11, no output

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Hugo Nobrega <hugonobrega@HIDDEN>; merged with #55596; dated Mon, 23 May 2022 01:49:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 55587 <at> debbugs.gnu.org:


Received: (at 55587) by debbugs.gnu.org; 15 Jun 2022 20:39:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 15 16:39:47 2022
Received: from localhost ([127.0.0.1]:39990 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o1Znl-0000rp-VN
	for submit <at> debbugs.gnu.org; Wed, 15 Jun 2022 16:39:47 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41446)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>)
 id 1o1ZnY-0000rF-Uz; Wed, 15 Jun 2022 16:39:44 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45322)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1o1ZnQ-0000gG-P2; Wed, 15 Jun 2022 16:39:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=y8nyMoH3ppVz8fEMvTZvkpVWPo8R4LDL0VsD81+M+iQ=; b=DpXUTZv98+A13qE9kVTo
 4jZ4AKvWyuTMn6jlzUQD0l8jSekIWAx7QBqjWQNQvFeLCxEbWkporJZEN8H6fhJXq6RYQ73c9mKfl
 /a2ytSmLTX22slfAhXMINLld/ltB4ru5kxhwkbVecgALjkIKzTBHUuGRsCXrzmUjJLQib12IDYDuH
 1qSLTj6QUrOEwLMztLJeI66MzxiW1xC1SnusT+wCQ81qcYuI0xMWxrkYID5qUdJXYpHtm1LdKdbfa
 qN63TjJi+yUTt2I9EgKGrVgVEtBOZ3OGpOhxGJEywZ45Qmtjl+LOD8MJnHl7JJ8w7aIi/JjQxfM+D
 ln3yZNTlCNCqVw==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:61745
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1o1ZnQ-0006UI-Bh; Wed, 15 Jun 2022 16:39:24 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#55596: Guix/Guile segfaults on `guix import texlive`
References: <87o7zpiaa8.fsf@HIDDEN> <878rqpj3vz.fsf@HIDDEN>
 <878rqpxhxy.fsf@HIDDEN>
 <alpine.DEB.2.21.2205260933340.11587@HIDDEN>
 <875ylpbmna.fsf_-_@HIDDEN> <87y1ylwkm8@nckx>
Date: Wed, 15 Jun 2022 22:39:21 +0200
In-Reply-To: <87y1ylwkm8@nckx> (Tobias Geerinckx-Rice's message of "Sat, 28
 May 2022 20:51:53 +0200")
Message-ID: <87sfo5psp2.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55587
Cc: 55596 <at> debbugs.gnu.org, jackhill@HIDDEN, 55587 <at> debbugs.gnu.org,
 hugonobrega@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

Tobias Geerinckx-Rice <me@HIDDEN> skribis:

> I think you might be barking up the wrong tree (or, likely, that there
> are multiple trees here).  I could reproduce the segfault on Guix
> System and encouraged Jack to file this bug.
>
> It's not foreign-distro-related.  The process actually segfaulting is
> Guix, not svn, possibly due to a missing svn.

I don=E2=80=99t think so; the error message that was reported is:

  command "svn" "export" "--non-interactive" "--trust-server-cert" "-r" "59=
745" "svn://www.tug.org/texlive/tags/texlive-2021.3/Master/texmf-dist/doc/l=
atex/cite/" "/tmp/guix-directory.09UnsN/doc/latex/cite/" failed with signal=
 11

It=E2=80=99s a message from =E2=80=98report-invoke-error=E2=80=99 in (guix =
build utils).  It=E2=80=99s
really svn that=E2=80=99s segfaulting.

Should we close and reopen if/when we have more info?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#55587; Package guix. Full text available.

Message received at 55587 <at> debbugs.gnu.org:


Received: (at 55587) by debbugs.gnu.org; 29 May 2022 10:19:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 29 06:19:25 2022
Received: from localhost ([127.0.0.1]:39439 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nvG17-0002EB-Bn
	for submit <at> debbugs.gnu.org; Sun, 29 May 2022 06:19:25 -0400
Received: from mail-oi1-f176.google.com ([209.85.167.176]:40911)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hugonobrega@HIDDEN>) id 1nvG15-0002Dq-Dt
 for 55587 <at> debbugs.gnu.org; Sun, 29 May 2022 06:19:23 -0400
Received: by mail-oi1-f176.google.com with SMTP id t144so10791458oie.7
 for <55587 <at> debbugs.gnu.org>; Sun, 29 May 2022 03:19:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=ic-ufrj-br.20210112.gappssmtp.com; s=20210112;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-transfer-encoding;
 bh=3vUCdwiUkzy0oDszUS42dULyfAqFBHLqsKFY+hEqGZc=;
 b=SRILc/C5qTeiJmnpVuFohpB1nOS6xVKKDX/lBYQx5G0/WVXK3MIkBTKyBRnFng4gXA
 1+1HSHL4YRiq25GEZ3R65NAtArwXTJ+XolmL5U3x+/wa1vimVXprsU644/KmLJm3Oj0Z
 h24MWQtq1lvz6F/wfrgDqxuLaILHrPankvs5Nn1tuSbc7MXl0iG3Yd3tMgxP/Gk0NWh9
 y3G38SfQuh6Yuc6YXoKEHi8P/42csGs9IjT9s21c29s+YrHJz2lIKJgdraI6Vt4cM0YE
 lE4gQuYqFouukwB+qPO1M721pm7yo9TW5fEX1hZ1ZIfGB6gdkKJUjizCWdahYqoPHVCC
 lcdA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version:content-transfer-encoding;
 bh=3vUCdwiUkzy0oDszUS42dULyfAqFBHLqsKFY+hEqGZc=;
 b=bZQngO11dI2ccyOtVJuxaF+ZuRT/COvRD2JK6MIHzt/q1YADBz/43r12c6iHT5XBgH
 xSXRFtZQXLQo8Mrl095GZW/hExUQr4JP2xptCdd4zw6nUbpEgQeh4Qpb7pUYmCE76YOM
 ve2fthXp5wlxcJB2P3Z+OdkqaVsLCV6yhNdOudJxiQ5BmSgCg0g9cCL7AHMEVg77fPdZ
 Lpb4zDY/AhaBad7DS6M0XEdkOwJqcIvFFJp0idZ99gMvcGGP6WRzfWes5tC4E0gcwpq9
 E8hKdrpmKaM5qisa/64A5tqL0slkwNMtlR81y4W1nTHfs7XoUL9mf7MkRjmSEqvuK+u/
 I/Kw==
X-Gm-Message-State: AOAM5315YrN0im4K599atnvL7sf4QzhaMJZeh7aGr84lL2v/N69eRiFQ
 OyS8jg9QeEUC5Tc/BeNJmPpXZQ==
X-Google-Smtp-Source: ABdhPJx4KdBy60m01s9puYErKFPuLlPwY/LqpqobFX/GreKUPl7tzFBE8uw1g2QqINfX0g7IsLkAlA==
X-Received: by 2002:a05:6808:6d7:b0:325:67ff:a21b with SMTP id
 m23-20020a05680806d700b0032567ffa21bmr7432990oih.105.1653819557907; 
 Sun, 29 May 2022 03:19:17 -0700 (PDT)
Received: from localhost ([2804:14d:5c57:8137::178])
 by smtp.gmail.com with ESMTPSA id
 i25-20020a9d6119000000b0060603221248sm3863722otj.24.2022.05.29.03.19.15
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 29 May 2022 03:19:16 -0700 (PDT)
From: Hugo <hugonobrega@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>, Ludovic =?utf-8?Q?Court=C3=A8s?=
 <ludo@HIDDEN>
Subject: Re: bug#55587: bug#55596: Guix/Guile segfaults on `guix import
 texlive`
In-Reply-To: <87y1ylwkm8@nckx>
References: <87o7zpiaa8.fsf@HIDDEN> <878rqpj3vz.fsf@HIDDEN>
 <878rqpxhxy.fsf@HIDDEN>
 <alpine.DEB.2.21.2205260933340.11587@HIDDEN>
 <875ylpbmna.fsf_-_@HIDDEN> <87y1ylwkm8@nckx>
Date: Sun, 29 May 2022 07:19:01 -0300
Message-ID: <877d643alm.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55587
Cc: 55596 <at> debbugs.gnu.org, Jack Hill <jackhill@HIDDEN>,
 55587 <at> debbugs.gnu.org, bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

> It's not foreign-distro-related.  The process actually segfaulting=20
> is Guix, not svn, possibly due to a missing svn.

Indeed, I think Tobias is on the right track here.
However, I can no longer reproduce the `signal 11` error

To answer Lud=C3=B2, though,

> What did =E2=80=9Ctype -P svn=E2=80=9D return?

Before I installed subversion: nothing. Now it shows the correct path to
svn.

> Perhaps there was an =E2=80=9Csvn=E2=80=9D command coming from the host d=
istro, like
> /usr/bin/svn?

Nope, this is on Guix System.

Best wishes,
Hugo




Information forwarded to bug-guix@HIDDEN:
bug#55587; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 May 2022 10:19:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 29 06:19:33 2022
Received: from localhost ([127.0.0.1]:39442 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nvG1F-0002Ec-Il
	for submit <at> debbugs.gnu.org; Sun, 29 May 2022 06:19:33 -0400
Received: from lists.gnu.org ([209.51.188.17]:56922)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hugonobrega@HIDDEN>) id 1nvG19-0002EP-GL
 for submit <at> debbugs.gnu.org; Sun, 29 May 2022 06:19:27 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48210)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <hugonobrega@HIDDEN>)
 id 1nvG18-0007Di-SE
 for bug-guix@HIDDEN; Sun, 29 May 2022 06:19:27 -0400
Received: from mail-oi1-x236.google.com ([2607:f8b0:4864:20::236]:35343)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <hugonobrega@HIDDEN>)
 id 1nvG12-0005x6-CP
 for bug-guix@HIDDEN; Sun, 29 May 2022 06:19:22 -0400
Received: by mail-oi1-x236.google.com with SMTP id h188so4328980oia.2
 for <bug-guix@HIDDEN>; Sun, 29 May 2022 03:19:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=ic-ufrj-br.20210112.gappssmtp.com; s=20210112;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-transfer-encoding;
 bh=3vUCdwiUkzy0oDszUS42dULyfAqFBHLqsKFY+hEqGZc=;
 b=SRILc/C5qTeiJmnpVuFohpB1nOS6xVKKDX/lBYQx5G0/WVXK3MIkBTKyBRnFng4gXA
 1+1HSHL4YRiq25GEZ3R65NAtArwXTJ+XolmL5U3x+/wa1vimVXprsU644/KmLJm3Oj0Z
 h24MWQtq1lvz6F/wfrgDqxuLaILHrPankvs5Nn1tuSbc7MXl0iG3Yd3tMgxP/Gk0NWh9
 y3G38SfQuh6Yuc6YXoKEHi8P/42csGs9IjT9s21c29s+YrHJz2lIKJgdraI6Vt4cM0YE
 lE4gQuYqFouukwB+qPO1M721pm7yo9TW5fEX1hZ1ZIfGB6gdkKJUjizCWdahYqoPHVCC
 lcdA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version:content-transfer-encoding;
 bh=3vUCdwiUkzy0oDszUS42dULyfAqFBHLqsKFY+hEqGZc=;
 b=ScowvsmQoInVwl2g/9ylnxu5sOeQ6onFq7gF5tkXETWD/P7Fklf4GNekU3EQCtqbsP
 yFb4SoKFOrcpMwc4yrF0sZxjl7AtQwK0tA53CNsmzeAh4ph4V/9VbEbtY6mQBOh4ZpBS
 4HSK2tzMWAV5GZX6aGncuWIMbwvwJ9CI5/dpTA+lupBjX5jWWGWx/+SXVME7lVunsZWY
 wALI7L2QpE0FsbGDBZs8WiS5azQuZwEIZIb9LrpDWEvH8EYgtTe2+Q1ddL47f9HepBMF
 O5m9htBrEhcA/RSI/xVo6ShgvRSbVp6r+2Bi7AyE3hWl26/cBahge0Gjev66ha36h86D
 Ei/A==
X-Gm-Message-State: AOAM531ox/nExv6FPXZf22vl9dBsqXHHBLcBT0KklSvQPgtAuiyv/vq+
 JH+XLc7ujzOK6fjQnqfacA9A4g==
X-Google-Smtp-Source: ABdhPJx4KdBy60m01s9puYErKFPuLlPwY/LqpqobFX/GreKUPl7tzFBE8uw1g2QqINfX0g7IsLkAlA==
X-Received: by 2002:a05:6808:6d7:b0:325:67ff:a21b with SMTP id
 m23-20020a05680806d700b0032567ffa21bmr7432990oih.105.1653819557907; 
 Sun, 29 May 2022 03:19:17 -0700 (PDT)
Received: from localhost ([2804:14d:5c57:8137::178])
 by smtp.gmail.com with ESMTPSA id
 i25-20020a9d6119000000b0060603221248sm3863722otj.24.2022.05.29.03.19.15
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 29 May 2022 03:19:16 -0700 (PDT)
From: Hugo <hugonobrega@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>, Ludovic =?utf-8?Q?Court=C3=A8s?=
 <ludo@HIDDEN>
Subject: Re: bug#55587: bug#55596: Guix/Guile segfaults on `guix import
 texlive`
In-Reply-To: <87y1ylwkm8@nckx>
References: <87o7zpiaa8.fsf@HIDDEN> <878rqpj3vz.fsf@HIDDEN>
 <878rqpxhxy.fsf@HIDDEN>
 <alpine.DEB.2.21.2205260933340.11587@HIDDEN>
 <875ylpbmna.fsf_-_@HIDDEN> <87y1ylwkm8@nckx>
Date: Sun, 29 May 2022 07:19:01 -0300
Message-ID: <877d643alm.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: none client-ip=2607:f8b0:4864:20::236;
 envelope-from=hugonobrega@HIDDEN; helo=mail-oi1-x236.google.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_NONE=0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
Cc: 55596 <at> debbugs.gnu.org, Jack Hill <jackhill@HIDDEN>,
 55587 <at> debbugs.gnu.org, bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

> It's not foreign-distro-related.  The process actually segfaulting=20
> is Guix, not svn, possibly due to a missing svn.

Indeed, I think Tobias is on the right track here.
However, I can no longer reproduce the `signal 11` error

To answer Lud=C3=B2, though,

> What did =E2=80=9Ctype -P svn=E2=80=9D return?

Before I installed subversion: nothing. Now it shows the correct path to
svn.

> Perhaps there was an =E2=80=9Csvn=E2=80=9D command coming from the host d=
istro, like
> /usr/bin/svn?

Nope, this is on Guix System.

Best wishes,
Hugo




Information forwarded to bug-guix@HIDDEN:
bug#55587; Package guix. Full text available.

Message received at 55587 <at> debbugs.gnu.org:


Received: (at 55587) by debbugs.gnu.org; 28 May 2022 18:56:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 28 14:56:45 2022
Received: from localhost ([127.0.0.1]:38885 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nv1cC-0004Xp-UX
	for submit <at> debbugs.gnu.org; Sat, 28 May 2022 14:56:45 -0400
Received: from tobias.gr ([80.241.217.52]:42310)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>)
 id 1nv1c7-0004Xa-GO; Sat, 28 May 2022 14:56:43 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=y89XeitIEzMa7
 jkDbv3LhEjC4mjDUrQo0vHfaavHM94=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=EpswbDzyZHqqvljy8VNkMtipxfVT5WVhGaHEnC
 YQG8ZmgY5hmX8Ox4fePePVv31OiUscbxc78c9i9bJcCRK10kh/+U/ReBr99V/FvsCxiIlv
 vN7Y91LnInJesuoa10veBTZuDGNzy3SkT8VuH2Wx7Erxdo5hqDaAx75TAeRgDvqD0RcEjC
 7wk2r7te5wm9GrZtAFfCb8NWDIErP/+UzRGWDrLNh3Kr2pHxj4STCiC2FK8mnMapXqAD7/
 OFo9Q+KtQl8lxiwaDCeDScvrUSKurcrXar/F41/13Q5DzgkmLyRSUz1C/uX05czhr3xGkw
 ny/9cmdyxTHSZA9h0KDH5ogw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 3ae9858e
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Sat, 28 May 2022 18:56:37 +0000 (UTC)
References: <87o7zpiaa8.fsf@HIDDEN> <878rqpj3vz.fsf@HIDDEN>
 <878rqpxhxy.fsf@HIDDEN>
 <alpine.DEB.2.21.2205260933340.11587@HIDDEN>
 <875ylpbmna.fsf_-_@HIDDEN>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#55587: bug#55596: Guix/Guile segfaults on `guix import
 texlive`
Date: Sat, 28 May 2022 20:51:53 +0200
In-reply-to: <875ylpbmna.fsf_-_@HIDDEN>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87y1ylwkm8@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55587
Cc: 55596 <at> debbugs.gnu.org, Jack Hill <jackhill@HIDDEN>,
 55587 <at> debbugs.gnu.org, Hugo <hugonobrega@HIDDEN>, bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; format=flowed

Hi,

I thought I'd replied to this.

I think you might be barking up the wrong tree (or, likely, that 
there are multiple trees here).  I could reproduce the segfault on 
Guix System and encouraged Jack to file this bug.

It's not foreign-distro-related.  The process actually segfaulting 
is Guix, not svn, possibly due to a missing svn.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYpJwnw0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15Sy0A/RJB/HnevGbxPyEUgdrSymj1xmn5paN8makZV09x
obWdAP9rElqLGno8//BErXxYIsu15PqmgT4TNkpDILJgDbXhDA==
=iIfO
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#55587; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 May 2022 18:56:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 28 14:56:57 2022
Received: from localhost ([127.0.0.1]:38890 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nv1cL-0004YJ-EO
	for submit <at> debbugs.gnu.org; Sat, 28 May 2022 14:56:57 -0400
Received: from lists.gnu.org ([209.51.188.17]:56710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1nv1cD-0004Xq-28
 for submit <at> debbugs.gnu.org; Sat, 28 May 2022 14:56:45 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53566)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1nv1cC-0004KT-Pi
 for bug-guix@HIDDEN; Sat, 28 May 2022 14:56:44 -0400
Received: from tobias.gr ([2a02:c205:2020:6054::1]:39104)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>)
 id 1nv1c9-0006ys-U9; Sat, 28 May 2022 14:56:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=y89XeitIEzMa7
 jkDbv3LhEjC4mjDUrQo0vHfaavHM94=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=EpswbDzyZHqqvljy8VNkMtipxfVT5WVhGaHEnC
 YQG8ZmgY5hmX8Ox4fePePVv31OiUscbxc78c9i9bJcCRK10kh/+U/ReBr99V/FvsCxiIlv
 vN7Y91LnInJesuoa10veBTZuDGNzy3SkT8VuH2Wx7Erxdo5hqDaAx75TAeRgDvqD0RcEjC
 7wk2r7te5wm9GrZtAFfCb8NWDIErP/+UzRGWDrLNh3Kr2pHxj4STCiC2FK8mnMapXqAD7/
 OFo9Q+KtQl8lxiwaDCeDScvrUSKurcrXar/F41/13Q5DzgkmLyRSUz1C/uX05czhr3xGkw
 ny/9cmdyxTHSZA9h0KDH5ogw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 3ae9858e
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Sat, 28 May 2022 18:56:37 +0000 (UTC)
References: <87o7zpiaa8.fsf@HIDDEN> <878rqpj3vz.fsf@HIDDEN>
 <878rqpxhxy.fsf@HIDDEN>
 <alpine.DEB.2.21.2205260933340.11587@HIDDEN>
 <875ylpbmna.fsf_-_@HIDDEN>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#55587: bug#55596: Guix/Guile segfaults on `guix import
 texlive`
Date: Sat, 28 May 2022 20:51:53 +0200
In-reply-to: <875ylpbmna.fsf_-_@HIDDEN>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87y1ylwkm8@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: submit
Cc: 55596 <at> debbugs.gnu.org, Jack Hill <jackhill@HIDDEN>,
 55587 <at> debbugs.gnu.org, Hugo <hugonobrega@HIDDEN>, bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

--=-=-=
Content-Type: text/plain; format=flowed

Hi,

I thought I'd replied to this.

I think you might be barking up the wrong tree (or, likely, that 
there are multiple trees here).  I could reproduce the segfault on 
Guix System and encouraged Jack to file this bug.

It's not foreign-distro-related.  The process actually segfaulting 
is Guix, not svn, possibly due to a missing svn.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYpJwnw0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15Sy0A/RJB/HnevGbxPyEUgdrSymj1xmn5paN8makZV09x
obWdAP9rElqLGno8//BErXxYIsu15PqmgT4TNkpDILJgDbXhDA==
=iIfO
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#55587; Package guix. Full text available.

Message received at 55587 <at> debbugs.gnu.org:


Received: (at 55587) by debbugs.gnu.org; 28 May 2022 17:19:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 28 13:19:34 2022
Received: from localhost ([127.0.0.1]:38835 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nv06A-00028I-0H
	for submit <at> debbugs.gnu.org; Sat, 28 May 2022 13:19:34 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48692)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>)
 id 1nv067-000281-5t; Sat, 28 May 2022 13:19:32 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59828)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nv05z-00026I-CU; Sat, 28 May 2022 13:19:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=j8tRLJ6vnbEb5wPMwhTRNGgOl6bxmSMGl+xueMC1cpc=; b=YOqcT1bN7QkSOZLyhfCN
 Z41GlunN9rWDu9t6m0wDwHId/i/Ej93FYT98qnL8qNaS9VUtht3xCtI+MrLkzhN8LDfieiJwJGblb
 Tplu3lTvhoZvc7n8BYfOr4rz3U947/1KXAT4yZ6StUr0KfEbglZuspT66eZ5I7s+LN3EiDtTnJiM+
 2srrY+1s5kroaP6yCLvlNhC2aKEfABbwocMOhbIvm3MUf6ncca9YkqSf/cpgxWVf+8ZFdVJVRkt5O
 DPuwemfnKNZ57mMZTdwDL6de12D23AREeiRjgQDTtgIV/o779YHgidAh6nupH6FwNNyPwixa0V2OR
 Kht7wWxtikKMrg==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:50372
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nv05z-00019t-0R; Sat, 28 May 2022 13:19:23 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Jack Hill <jackhill@HIDDEN>
Subject: Re: bug#55596: Guix/Guile segfaults on `guix import texlive`
References: <87o7zpiaa8.fsf@HIDDEN> <878rqpj3vz.fsf@HIDDEN>
 <878rqpxhxy.fsf@HIDDEN>
 <alpine.DEB.2.21.2205260933340.11587@HIDDEN>
Date: Sat, 28 May 2022 19:19:21 +0200
In-Reply-To: <alpine.DEB.2.21.2205260933340.11587@HIDDEN> (Jack
 Hill's message of "Thu, 26 May 2022 09:36:28 -0400 (EDT)")
Message-ID: <875ylpbmna.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55587
Cc: 55596 <at> debbugs.gnu.org, 55587 <at> debbugs.gnu.org, Hugo <hugonobrega@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Jack Hill <jackhill@HIDDEN> skribis:

> On Wed, 25 May 2022, Hugo wrote:
>
>> Ludovic Court=C3=A8s <ludo@HIDDEN> writes:
>>
>>> Jack, Hugo: What does =E2=80=9Ctype -P svn=E2=80=9D say?
>>>
>>> Does the bug occur within =E2=80=98guix shell subversion=E2=80=99 as sh=
own above?
>>
>> Well, I feel kind of silly now, after actually installing subversion the
>> command works as expected :)
>
> Same for me, and I feel equally silly :)

You mentioned an error report from Guix:

  command "svn" "export" "--non-interactive" "--trust-server-cert" "-r" "59=
745" "svn://www.tug.org/texlive/tags/texlive-2021.3/Master/texmf-dist/doc/l=
atex/cite/" "/tmp/guix-directory.09UnsN/doc/latex/cite/" failed with signal=
 11

To me that means that an =E2=80=9Csvn=E2=80=9D command was indeed found in =
$PATH but
that it segfaulted.

What did =E2=80=9Ctype -P svn=E2=80=9D return?  Perhaps there was an =E2=80=
=9Csvn=E2=80=9D command
coming from the host distro, like /usr/bin/svn?

Or am I missing something?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#55587; Package guix. Full text available.

Message received at 55587 <at> debbugs.gnu.org:


Received: (at 55587) by debbugs.gnu.org; 26 May 2022 13:36:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 26 09:36:40 2022
Received: from localhost ([127.0.0.1]:57457 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nuDfM-0004Ud-02
	for submit <at> debbugs.gnu.org; Thu, 26 May 2022 09:36:40 -0400
Received: from minsky.hcoop.net ([104.248.1.95]:32804)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jackhill@HIDDEN>)
 id 1nuDfH-0004UE-7t; Thu, 26 May 2022 09:36:35 -0400
Received: from marsh.hcoop.net ([45.55.52.66])
 by minsky.hcoop.net with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <jackhill@HIDDEN>)
 id 1nuDfB-0003mE-0c; Thu, 26 May 2022 09:36:29 -0400
Date: Thu, 26 May 2022 09:36:28 -0400 (EDT)
From: Jack Hill <jackhill@HIDDEN>
X-X-Sender: jackhill@HIDDEN
To: Hugo <hugonobrega@HIDDEN>
Subject: Re: bug#55587: bug#55596: Guix/Guile segfaults on `guix import
 texlive`
In-Reply-To: <878rqpxhxy.fsf@HIDDEN>
Message-ID: <alpine.DEB.2.21.2205260933340.11587@HIDDEN>
References: <87o7zpiaa8.fsf@HIDDEN> <878rqpj3vz.fsf@HIDDEN>
 <878rqpxhxy.fsf@HIDDEN>
User-Agent: Alpine 2.21 (DEB 202 2017-01-01)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="925712948-450059837-1653572189=:11587"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55587
Cc: 55596 <at> debbugs.gnu.org, =?ISO-8859-15?Q?Ludovic_Court=E8s?= <ludo@HIDDEN>,
 55587 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

  This message is in MIME format.  The first part should be readable text,
  while the remaining parts are likely unreadable without MIME-aware tools.

--925712948-450059837-1653572189=:11587
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8BIT

On Wed, 25 May 2022, Hugo wrote:

> Ludovic Courtès <ludo@HIDDEN> writes:
>
>> Jack, Hugo: What does “type -P svn” say?
>>
>> Does the bug occur within ‘guix shell subversion’ as shown above?
>
> Well, I feel kind of silly now, after actually installing subversion the
> command works as expected :)

Same for me, and I feel equally silly :)

> But I suppose the silent failure is still something that could/should be
> improved.

+1 for this. Maybe some day we'll have have guile-svn, but until then an 
error message would be fine.

Best,
Jack
--925712948-450059837-1653572189=:11587--




Information forwarded to bug-guix@HIDDEN:
bug#55587; Package guix. Full text available.

Message received at 55587 <at> debbugs.gnu.org:


Received: (at 55587) by debbugs.gnu.org; 26 May 2022 05:21:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 26 01:21:42 2022
Received: from localhost ([127.0.0.1]:56875 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nu5wL-0005V6-LA
	for submit <at> debbugs.gnu.org; Thu, 26 May 2022 01:21:41 -0400
Received: from mail-oa1-f46.google.com ([209.85.160.46]:45934)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hugonobrega@HIDDEN>) id 1nu1FS-00050e-Pi
 for 55587 <at> debbugs.gnu.org; Wed, 25 May 2022 20:21:08 -0400
Received: by mail-oa1-f46.google.com with SMTP id
 586e51a60fabf-e93bbb54f9so449906fac.12
 for <55587 <at> debbugs.gnu.org>; Wed, 25 May 2022 17:21:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=ic-ufrj-br.20210112.gappssmtp.com; s=20210112;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-transfer-encoding;
 bh=JmmuJ+Ix6XhcIVoA5yI3UX43quI8NFzApLbnQtSXP7Y=;
 b=GzTRFxXPWeWdwbpqxbr5rbYgn+vPFpr/bbcBApJYi+IumjiiG9uo8MpgSPBI0aPJuI
 HAEQSg8Slav7mbzTHNJEGak0c4r4mu5TYk0+6oy0ZGvDrcXWdyPl689AXtQMRt01qZW8
 T3ILz5iqw325kV7gTzTeEEurvw44MT5mPXqOQvA1572DbUT8xlNXIAAimiwYgtq6tcbE
 q9O+ibkS0hoByUpEddykNbJqrvIN3PJcE8wB/a4YFd1OiTQwSFBJ3b0VgYJe89WQJmzy
 eE+YSrZ+PjSpInzWrIRlsNqtviCIJbx6e44RjbWygi9akwRwpow+bi1gf/XVulIH0H8s
 hzQQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version:content-transfer-encoding;
 bh=JmmuJ+Ix6XhcIVoA5yI3UX43quI8NFzApLbnQtSXP7Y=;
 b=ZdAUBfb5SECMuUpCUycSWmqqI9Pz1DEMF9TW2sk55+z1zdyVfYBBEWCGXPorX9+PrU
 b3nSvMLWu4U4pvhrybWETCSKY0922gVVqH9ZtlHhhvXYTcB4sj7ekseYqLc7uleZaI3B
 GON3sas57ZCem8zPzRK/4kY88co0o6yN7i/A0wOOacY7mKJQ3fCqAS+PC2ZZkj4uiDjC
 Plo10wvhJbN7ts4giwbk09Ln/vjj1s9UDK1bS/Z6Rl8yKm1bLjMph2T8iWEc48hOynGh
 V7PMQ1mXqjCByp6js/tk8gZxJIh8Z++lsMaSP/xUfNzqP6QrWdtBx2R9OOGMtALiET1E
 zYNw==
X-Gm-Message-State: AOAM533U04wHTGMtA5h+QAmgeVfKjfO95hciCOXXV3CyPI8T/p/S9+RO
 nQwziSAKXzFfwDiBLaOlSjWrjQ==
X-Google-Smtp-Source: ABdhPJzsktDLfDfxtGJc0YFqGRX8HkXMK3VkBtm4HWOxIrPfTCggOf+wT/uTcZ9hB6ijjSk6Tkf66w==
X-Received: by 2002:a05:6870:40c2:b0:f1:93e2:5b1 with SMTP id
 l2-20020a05687040c200b000f193e205b1mr7472637oal.224.1653524461011; 
 Wed, 25 May 2022 17:21:01 -0700 (PDT)
Received: from localhost ([2804:14d:5c57:8137::4322])
 by smtp.gmail.com with ESMTPSA id
 b41-20020a056870392900b000f2b3930234sm94926oap.28.2022.05.25.17.20.59
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 25 May 2022 17:21:00 -0700 (PDT)
From: Hugo <hugonobrega@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#55596: Guix/Guile segfaults on `guix import texlive`
In-Reply-To: <878rqpj3vz.fsf@HIDDEN>
References: <87o7zpiaa8.fsf@HIDDEN> <878rqpj3vz.fsf@HIDDEN>
Date: Wed, 25 May 2022 21:20:57 -0300
Message-ID: <878rqpxhxy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55587
X-Mailman-Approved-At: Thu, 26 May 2022 01:21:37 -0400
Cc: 55596 <at> debbugs.gnu.org, 55587 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Jack, Hugo: What does =E2=80=9Ctype -P svn=E2=80=9D say?
>
> Does the bug occur within =E2=80=98guix shell subversion=E2=80=99 as show=
n above?

Well, I feel kind of silly now, after actually installing subversion the
command works as expected :)

But I suppose the silent failure is still something that could/should be
improved.

Thanks,
Hugo




Information forwarded to bug-guix@HIDDEN:
bug#55587; Package guix. Full text available.

Message received at 55587 <at> debbugs.gnu.org:


Received: (at 55587) by debbugs.gnu.org; 25 May 2022 10:36:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 25 06:36:25 2022
Received: from localhost ([127.0.0.1]:54392 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ntoNK-0001ia-GO
	for submit <at> debbugs.gnu.org; Wed, 25 May 2022 06:36:25 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54984)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>)
 id 1ntoNB-0001iB-EN; Wed, 25 May 2022 06:36:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58622)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1ntoN4-0001MN-N0; Wed, 25 May 2022 06:36:06 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=9niuO2jLh3bjdtDZkplknrYUHKZ95uCniiT6Zm/4y6A=; b=g/eVu9Zx5c+2a9656P32
 0OEIMj+jzTzKiSM3p7YnwUz4MIDm7DQeAD6d99lMIrbfxAtR6SbSIu5wovGBsL0lMaVYfkRs9cqVa
 DJJ5Neki3j3QPRB2YfCUtXqeCSh1d+5EPl/lfjYizUzsIGd7AqkDLBnJYJUi329qYhPU9OxbFl77H
 1X9FnDRorS8F4ZbH2PKb5dO0vsgYUHj94pvg0unHZxJeVYgCaluloVK8IusxOqphYT1HNPnPQNEfd
 vAH1kEQF0USOUdTo+7eyIoGI4yNRY0TtLYyGYiqZpdTQEZ7CxuiGaxOwaAWskd4O3yM9W5DvvKcPI
 YhbJH5nDSOnWBg==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:55828
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1ntoN0-0002oI-Gu; Wed, 25 May 2022 06:36:06 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Hugo Nobrega <hugonobrega@HIDDEN>
Subject: Re: bug#55596: Guix/Guile segfaults on `guix import texlive`
References: <87o7zpiaa8.fsf@HIDDEN>
Date: Wed, 25 May 2022 12:36:00 +0200
In-Reply-To: <87o7zpiaa8.fsf@HIDDEN> (Hugo Nobrega's message of "Sun, 22
 May 2022 17:26:23 -0300")
Message-ID: <878rqpj3vz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55587
Cc: 55596 <at> debbugs.gnu.org, 55587 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

Hugo Nobrega <hugonobrega@HIDDEN> skribis:

> hugo@hp-guix ~$ guix import texlive cite
> command "svn" "export" "--non-interactive" "--trust-server-cert" "-r"
> "59745"
> "svn://www.tug.org/texlive/tags/texlive-2021.3/Master/texmf-dist/doc/late=
x/cite/"
> "/tmp/guix-directory.09UnsN/doc/latex/cite/" failed with signal 11 guix
> import: error: failed to import package 'cite'

Jack Hill <jackhill@HIDDEN> skribis:

> With Guix commit 4ba4cb1d49d70a00f7236f60bd92e5eccef573dd on Linux
> x86-64, I have the following problem trying to import a texlive
> package:
>
> """
> $ guix import texlive qrcode
> command "svn" "export" "--non-interactive" "--trust-server-cert" "-r" "59=
745" "svn://www.tug.org/texlive/tags/texlive-2021.3/Master/texmf-dist/doc/l=
atex/qrcode/" "/tmp/guix-directory.6aY7Gk/doc/latex/qrcode/" failed with si=
gnal 11
> guix import: error: failed to import package 'qrcode'
> """
>
> It seems something is unwell with our subversion package?

Works for me on x86_64-linux!

--8<---------------cut here---------------start------------->8---
$ guix describe
Generation 215	May 22 2022 23:16:03	(current)
  guix 81f7bb1
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 81f7bb1691dc9dc69fc6e584ad8c6e36e495c103
$ guix shell subversion -- guix import texlive qrcode
A    /tmp/guix-directory.rXo6NK/doc/latex/qrcode
A    /tmp/guix-directory.rXo6NK/doc/latex/qrcode/README
A    /tmp/guix-directory.rXo6NK/doc/latex/qrcode/qrcode.pdf
Exported revision 59745.
A    /tmp/guix-directory.rXo6NK/source/latex/qrcode
A    /tmp/guix-directory.rXo6NK/source/latex/qrcode/qrcode.dtx
A    /tmp/guix-directory.rXo6NK/source/latex/qrcode/qrcode.ins
Exported revision 59745.
A    /tmp/guix-directory.rXo6NK/tex/latex/qrcode
A    /tmp/guix-directory.rXo6NK/tex/latex/qrcode/qrcode.sty
Exported revision 59745.
(package
  (inherit
    (simple-texlive-package
      "texlive-qrcode"
      (list "doc/latex/qrcode/" "source/latex/qrcode/" "tex/latex/qrcode/")
      (base32 "197v18lsvb90i07gxvc6mrmn1z63q8v0wvcnbk8dnn3hhabpn16y")))
  (home-page "https://ctan.org/macros/latex/contrib/qrcode")
  (synopsis "Generate QR codes in LaTeX")
  (description
    "The package generates QR (Quick Response) codes in LaTeX, without the =
need for
PSTricks or any other graphical package.")
  (license lppl1.3+))
$ guix shell subversion -- guix import texlive cite
A    /tmp/guix-directory.GpxhKw/doc/latex/cite
A    /tmp/guix-directory.GpxhKw/doc/latex/cite/README
A    /tmp/guix-directory.GpxhKw/doc/latex/cite/chapterbib.ltx
A    /tmp/guix-directory.GpxhKw/doc/latex/cite/chapterbib.pdf
A    /tmp/guix-directory.GpxhKw/doc/latex/cite/cite.ltx
A    /tmp/guix-directory.GpxhKw/doc/latex/cite/cite.pdf
Exported revision 59745.
A    /tmp/guix-directory.GpxhKw/tex/latex/cite
A    /tmp/guix-directory.GpxhKw/tex/latex/cite/chapterbib.sty
A    /tmp/guix-directory.GpxhKw/tex/latex/cite/cite.sty
A    /tmp/guix-directory.GpxhKw/tex/latex/cite/drftcite.sty
A    /tmp/guix-directory.GpxhKw/tex/latex/cite/overcite.sty
Exported revision 59745.
(package
  (inherit
    (simple-texlive-package
      "texlive-cite"
      (list "doc/latex/cite/" "tex/latex/cite/")
      (base32 "0b1amznayxj80dmqbzcysmj7q8aksbyz98k6djsqi0mhwp1cd0fd")
      #:trivial?
      #t))
  (home-page "https://ctan.org/macros/latex/contrib/cite")
  (synopsis "Improved citation handling in LaTeX")
  (description
    "The package supports compressed, sorted lists of numerical citations, =
and also
deals with various punctuation and other issues of representation, including
comprehensive management of break points.  The package is compatible with b=
oth
hyperref and backref.  The package is (unsurprisingly) part of the cite bun=
dle
of the author's citation-related packages.")
  (license (error unknown-license "other-free")))
--8<---------------cut here---------------end--------------->8---

Jack, Hugo: What does =E2=80=9Ctype -P svn=E2=80=9D say?

Does the bug occur within =E2=80=98guix shell subversion=E2=80=99 as shown =
above?

TIA,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#55587; Package guix. Full text available.
Merged 55587 55596. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 May 2022 01:48:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 22 21:48:45 2022
Received: from localhost ([127.0.0.1]:46742 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nsxBb-0004zf-Tr
	for submit <at> debbugs.gnu.org; Sun, 22 May 2022 21:48:45 -0400
Received: from lists.gnu.org ([209.51.188.17]:43452)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hugonobrega@HIDDEN>) id 1nssA1-00016O-MI
 for submit <at> debbugs.gnu.org; Sun, 22 May 2022 16:26:49 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:35796)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <hugonobrega@HIDDEN>)
 id 1nssA1-0001iI-BQ
 for bug-guix@HIDDEN; Sun, 22 May 2022 16:26:45 -0400
Received: from mail-oa1-x32.google.com ([2001:4860:4864:20::32]:37649)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <hugonobrega@HIDDEN>)
 id 1nss9z-0005ws-5Y
 for bug-guix@HIDDEN; Sun, 22 May 2022 16:26:45 -0400
Received: by mail-oa1-x32.google.com with SMTP id
 586e51a60fabf-f17f1acffeso16111221fac.4
 for <bug-guix@HIDDEN>; Sun, 22 May 2022 13:26:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=ic-ufrj-br.20210112.gappssmtp.com; s=20210112;
 h=from:to:subject:date:message-id:mime-version;
 bh=NitcT2TusX8GAlIVaMuwsWVj1lucsdEO9ujr765ODiM=;
 b=RrBv1669bDZwsQAq1y6As2YO4VcvQLtQ4Xk3DzZ/QLVJGHz9kZybZMPhJOrxmd3jCJ
 eJdbKLNTDKCK9d8HicaPkBfrzFVe14NjvKzRuPT033PdFEKLDLAbRZzAd9/0kqoE4lBF
 QccpD7uTtZqCPm5aZJrIYNVXXkzjyj47QHRDaUzwpU+QuqU5tozb5da3IdvPbsZ1xj6O
 M5fzyLfyJ44ND+h2DsG9pZxoWQsMeUniEA0MfO9DnoolwQEmOydahtrnnqyUz6QrVcV6
 LjEzQJsTGuZgdgx5B/884pDGOUpwehou92Wj3OyeYN4DXLnUuBHzGiKu4rzLmoRWzKYA
 +urA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=NitcT2TusX8GAlIVaMuwsWVj1lucsdEO9ujr765ODiM=;
 b=zXxlNQzTrDpntSEeP59DM/57ky+t7xqC/YjhPTVy3/ZhfeVUMgvc4qVYwIno1lQ9Fh
 M8HU/h3AgSv4/o3gGz2RAHysXnb5N69fpH/A/KS0Q9k0FSaQq9zw/1ibG1MgROgctaZ/
 B9MF2bdrkmyS3M63cTp/p+CmXaP55ZIG8ju6yHpFjO0Ixil14Al3bPRInXnsxqapk25A
 75LafbIZpR5MHkUIp9sIF845XynKjDVfcUYS7IWPY1/WTCKyqCaVu0MGj1nXARw31I7V
 3Fo+uvRt4ofDKxi+qj9N9bIXNlp79xAC95zt45kv8w1HqUHqtt5znzPpnMokuVuuh/T9
 nlOw==
X-Gm-Message-State: AOAM532dSN+JVbzTvvk2MBCgqrsDZrkF3BgQuTdOcObYGTCPU3OJER1X
 v3KgYOOKsmpP5S0NJuRBylhOOTJ2twPZ+87A
X-Google-Smtp-Source: ABdhPJxbByDkSRacwzA4IYGtme8tvPZrUQxZmfrMpneoH0/Fu3rnlFSKKbxmT+GRRwv0btabpGQqCA==
X-Received: by 2002:a05:6870:14d0:b0:f1:9099:7bf3 with SMTP id
 l16-20020a05687014d000b000f190997bf3mr10839722oab.297.1653251197871; 
 Sun, 22 May 2022 13:26:37 -0700 (PDT)
Received: from localhost ([2804:14d:5c57:8137::4322])
 by smtp.gmail.com with ESMTPSA id
 z11-20020a056870e14b00b000f1a2378a12sm3079342oaa.37.2022.05.22.13.26.34
 for <bug-guix@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 22 May 2022 13:26:35 -0700 (PDT)
From: Hugo Nobrega <hugonobrega@HIDDEN>
To: bug-guix@HIDDEN
Subject: `guix import texlive PKG` fails with signal 11, no output
Date: Sun, 22 May 2022 17:26:23 -0300
Message-ID: <87o7zpiaa8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: none client-ip=2001:4860:4864:20::32;
 envelope-from=hugonobrega@HIDDEN; helo=mail-oa1-x32.google.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_NONE=0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 22 May 2022 21:48:41 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

The guix 'texlive' package importer is not working with any package, as
far as I can tell. It does *some* legwork, managing to figure out the
correct URI of the package, but then errors out with signal 11.

Having had a look at previous bug reports, it seems this "signal 11"
thing is not new (e.g., bug#28303), but in any case I am not seeing any
output after the error (unlike what seemed to be happening in bug#28303)

Example:

hugo@hp-guix ~$ guix import texlive cite
command "svn" "export" "--non-interactive" "--trust-server-cert" "-r"
"59745"
"svn://www.tug.org/texlive/tags/texlive-2021.3/Master/texmf-dist/doc/latex/cite/"
"/tmp/guix-directory.09UnsN/doc/latex/cite/" failed with signal 11 guix
import: error: failed to import package 'cite'

Best regards,
Hugo




Acknowledgement sent to Hugo Nobrega <hugonobrega@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#55587; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 15 Jun 2022 20:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.